Subject: bug#77546: Acknowledgement (Regression in defaults: Re: Enhance 'icomplete-vertical-mode' customization options.)

From: João Távora <[email-masked]>
Date: Mon, 07 Apr 2025 17:18:28 +0100

Rahul Martim Juliato <[email-masked]> writes:

> Please feel free to edit my diff, we could:
>
> 1. keep both calls, like I just did in the patch, that are complementary
>
> 2. keep only the second call, and 'live with a very small inconsistency'
>
> 3. try to patch something else and figure out what is causing the race
> condition and how to tackle this.
>
>
> Phew, that's it. Thanks again for taking the time to review these
> changes :)

Ican take a look at this, but please give me a minimal Emacs -Q
recipe to see this icomplete-in-buffer vertical thing working in
practice.  I can't really get it to work, or know how to activate it.
(Please no long configs or package installations if you can).

This is what I'm trying, for reference:

     emacs -Q                                              \
         --eval '(setq icomplete-in-buffer t)'             \
         -f fido-vertical-mode                             \
         --eval '(setq completion-styles (quote (flex)))'  \
         --eval '(advice-add (quote completion-at-point)   \
                   :after                                  \
                   (function minibuffer-hide-completions))'

It seems to do something but I always see just one candidate, no
vertical list to scroll.  I've also tried with plain
icomplete-vertical-mode.

João